@extends('layout.base')

@section('content')
<div class="row page-heading">
	<h3>Agregar Unidades - <a href="{{nUrl('proyectos', 'list_unidades', ['proyecto' => $tipo->proyecto()->id])}}">{{$tipo->proyecto()->descripcion}}</a> - {{$tipo->nombre}}</h3>
</div>
<br />
<div class="row">
	<div class="col-md-2">Tipo</div>
	<div class="col-md-3">{{$tipo->nombre}}</div>
	<div class="col-md-2">
		@if ($tipo->tipologia())
			{{$tipo->tipologia()->descripcion}}
		@else
			{{$tipo->abreviacion}}
		@endif
	</div>
	<div class="col-md-2">{{format('m2', $tipo->m2())}} m&#0178;</div>
</div>
<br />
<form method="post" class="form-horizontal" action="{{url('', ['p' => 'unidades', 'a' => 'agregar', 'tipo' => $tipo->id])}}">
	<div class="form-group">
		<div class="col-md-2">Total Departamentos por Piso</div>
		<div class="col-md-1"><input type="text" name="total" maxlength="2" class="form-control" /></div>
		<div class="col-md-offset-7 col-md-1 text-right"><span class="glyphicon glyphicon-plus agregar" id="agregar_unidad"></span></div>
		<div class="col-md-1"><input type="text" size="3" maxlength="3" id="unis" value="1" class="form-control" /></div>
		<input type="hidden" name="unidades" value="[1]" />
	</div>
	<div class="form-group" id="primero">
		<div class="col-md-2">L&iacute;nea</div>
		<div class="col-md-1"><input type="text" name="linea1" maxlength="2" class="form-control" /></div>
		<div class="col-md-2">Orientaci&oacute;n</div>
		<div class="col-md-2">
			<?php $orientaciones = ['N', 'NO', 'O', 'SO', 'S', 'SP', 'P', 'NP'] ?>
			<select name="orientacion1" class="form-control">
				@foreach ($orientaciones as $orientacion)
					<option value="{{$orientacion}}">{{$orientacion}}</option>
				@endforeach
			</select>
		</div>
		<div class="col-md-2">Pisos</div>
		<div class="col-md-1"><input type="text" name="piso_ini1" maxlength="3" class="form-control" /></div>
		<div class="col-md-1"><input type="text" name="piso_end1" maxlength="3" class="form-control" /></div>
	</div>
	<div id="unidades"></div>
	<div class="form-group">
		<div class="col-md-offset-2 col-md-3"><input type="submit" value="Agregar" class="form-control" /></div>
	</div>
</form>
@endsection

@push('scripts')
<script type="text/javascript">
var unidades = [1];
$(document).ready(function() {
	$('#agregar_unidad').click(function(e) {
		var cnt = $('#unis').val();
		for (var i = 0; i < cnt; i ++) {
			addUnidad();
		}
	});
});
function addUnidad() {
	var n = unidades[unidades.length - 1] + 1;
	if (unidades.length == 0) {
		n = 1
	}
	unidades[unidades.length] = n;

	var orientaciones = $('<select></select>').attr('name', 'orientacion' + n).attr('class', 'form-control')
	@foreach ($orientaciones as $orientacion)
		orientaciones.append($('<option></option>').attr('value', '{{$orientacion}}').html('{{$orientacion}}'))
	@endforeach

	$('#unidades').append(
		$('<div></div>').attr('class', 'form-group').append(
			$('<div></div>').attr('class', 'col-md-2').html('L&iacute;nea')
		).append(
			$('<div></div>').attr('class', 'col-md-1').append($('<input/>').attr('type', 'text').attr('name', 'linea' + n).attr('maxlength', 2).attr('class', 'form-control'))
		).append(
			$('<div></div>').attr('class', 'col-md-2').html('Orientaci&oacute;n')
		).append(
			$('<div></div>').attr('class', 'col-md-2').append(orientaciones)
		).append(
			$('<div></div>').attr('class', 'col-md-2').html('Pisos')
		).append(
			$('<div></div>').attr('class', 'col-md-1').append($('<input/>').attr('type', 'text').attr('name', 'piso_ini' + n).attr('maxlength', 3).attr('class', 'form-control'))
		).append(
			$('<div></div>').attr('class', 'col-md-1').append($('<input/>').attr('type', 'text').attr('name', 'piso_end' + n).attr('maxlength', 3).attr('class', 'form-control'))
		).append(
			$('<div></div>').attr('class', 'col-md-1').append($('<span></span>').attr('class', 'glyphicon glyphicon-minus remover').attr('id', 'remover_unidad' + n).attr('data-id', n))
		)
	)

	$("input[name='unidades']").val(JSON.stringify(unidades));
	$('#remover_unidad' + n).click(function(e) {
		i = $(this).attr('data-id');
		removeUnidad(i);
	});
}
function removeUnidad(n) {
	var unis = $('#unidades');
	unis.find("input[name='linea" + n + "']").parent().parent().next().remove();
	unis.find("input[name='linea" + n + "']").parent().parent().remove();
	i = unidades.binaryIndexOf(n);
	unidades.splice(i, 1);
	$("input[name='unidades']").val(JSON.stringify(unidades));
}
</script>
@endpush
